System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.MemberDescriptor System.Runtime.InteropServices.ComVisible(true)

A description of a property consists of a name, its attributes, the component class that the property is associated with, and the type of the property.

provides the following properties and methods:

contains the for this property.

indicates whether this property should be localized.

returns an editor of the specified type.

also provides the following abstract properties and methods:

contains the type of component this property is bound to.

indicates whether this property is read-only.

gets the type of the property.

indicates whether resetting the component changes the value of the component.

returns the current value of the property on a component.

resets the value for this property of the component.

sets the value of the component to a different value.

indicates whether the value of this property needs to be persisted.

Typically, the abstract members are implemented through reflection. For more information about reflection, see the topics in Reflection.

Provides an abstraction of a property on a class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added: an object of type 'MemberDescriptor'
  To be added

  Initializes a new instance of the class with the name and attributes in the specified .

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  This constructor appends the attributes in the array to the attributes in the .

  Initializes a new instance of the class with the name in the specified and the attributes in both the and the array.

  An array containing the attributes you want to associate with the property.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified name and attributes.

  The name of the property.
  An array of type that contains the property attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Enables other objects to be notified when this property changes.

  The component to add the handler for. The delegate to add as a listener.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Typically, this method is implemented through reflection.

  When overridden in a derived class, returns whether resetting an object changes its value.

  true if resetting the component changes its value; otherwise, false.

  The component to test for reset capability.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type'

  Typically, this property is implemented through reflection.

  When overridden in a derived class, gets the type of the component this property is bound to.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter To be added: an object of type 'TypeConverter' To be added

  Gets the type converter for this property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  looks for a constructor that takes the specified type. If it finds a constructor, the type of the property is passed in.

  Converters and editors use this method to create versions of a component. This method enables a single component to be reused for more than one type.

  Creates an instance of the specified type.

  A new instance of the type.

  A that represents the type to create.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Compares this to another object to see if they are equivalent.

  true if the values are equivalent; otherwise, false.

  The object to compare to this .
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For duplicate attributes, the last one added to the list will be kept.

  Adds the attributes of the to the specified list of attributes in the parent class.

  An that lists the attributes in the parent class. Initially, this is empty.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection

  This method passes null for both the parameter and the parameter.

  The properties for the parameter can differ from the properties of a class, because the container can add or remove properties if the parameter is sited.

  The parameter can mix and objects. Filtering is defined by the following rules:

  A object is treated as a wildcard; it matches any property that has the in its set of attributes.

  If a property does not have an of the same class, the property will not be included in the returned array.

  If the attribute is an instance of , the property must be an exact match to be included in the returned array.

  If you specify an and it is the default property, it will be included in the returned array, even if there is no instance of in the property.

  Returns the default .

  A collection of property descriptor.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection ``

  This method passes null for the parameter.

  The properties for the parameter can differ from the properties of a class, because the site can add or remove properties if the parameter is sited.

  The parameter can mix and objects. Filtering is defined by the following rules:

  A object is treated as a wildcard; it matches any property that has the in its set of attributes.

  If a property does not have an of the same class, the property will not be included in the returned array.

  If the attribute is an instance of , the property must be an exact match to be included in the returned array.

  If you specify an instance and it is the default property, it will be included in the returned array even if there is no instance of the in the property.

  Returns a using a specified array of attributes as a filter.

  A with the properties that match the specified attributes.

  An array of type to use as a filter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection ``

  This method passes null for the parameter.

  The properties for the parameter can differ from the properties of a class, because the site can add or remove properties if the parameter is sited.

  The parameter can mix and objects. Filtering is defined by the following rules:

  A object is treated as a wildcard; it matches any property that has the in its set of attributes.

  If a property does not have an of the same class, the property will not be included in the returned array.

  If the attribute is an instance of , the property must be an exact match to be included in the returned array.

  If you specify an instance and it is the default property, it will be included in the returned array even if there is no instance of the in the property.

  Returns a for a given object.

  A with the properties for the specified component.

  A component to get the properties for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` ``

  The properties for the parameter can differ from the properties of a class, because the site can add or remove properties if the parameter is sited.

  The parameter can mix and objects. Filtering is defined by the following rules:

  A object is treated as a wildcard; it matches any property that has the in its set of attributes.

  If a property does not have an of the same class, the property will not be included in the returned array.

  If the attribute is an instance of , the property must be an exact match to be included in the returned array.

  If you specify an instance and it is the default property, it will be included in the returned array even if there is no instance of the in the property.

  Generally, child properties should be returned by implementing the member of the returned from this property.

  Returns a for a given object using a specified array of attributes as a filter.

  A with the properties that match the specified attributes for the specified component.

  A component to get the properties for. An array of type to use as a filter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Gets an editor of the specified type.

  An instance of the requested editor type, or null if an editor cannot be found.

  The base type of editor, which is used to differentiate between multiple editors that a property supports.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this object.

  The hash code for this object.

- Method
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  Typically, the return value will be the same as the passed in. If someone associated another object with this instance, or if the instance is a custom type descriptor, the method may return a different value.

  This method returns the object that should be used during invocation of members.

  The that should be used during invocation of members.

  The of the invocation target. The potential invocation target.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type ``

  To find the appropriate type, this method first checks the assembly of the type that this references. If it does not find the type in the assembly, it calls .

  Returns a type using its name.

  A that matches the given type name, or null if a match cannot be found.

  The assembly-qualified name of the type to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  Typically, this method is implemented through reflection.

  This method automatically calls the pre-change method, , and post-change method, , of the .

  When overridden in a derived class, gets the current value of the property on a component.

  The value of a property for a given component.

  The component with the property for which to retrieve the value.
- Method
  2.0.0.0
  4.0.0.0
  System.EventHandler `` To be added.

  Retrieves the current set of ValueChanged event handlers for a specific component

  A combined multicast event handler, or null if no event handlers are currently assigned to .

  The component for which to retrieve event handlers.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  When a property is marked with the set to true and used in a visual designer, its values are saved in a resource file. If you mark a property with the attribute and then set the property in code, resource files are not used.

  Gets a value indicating whether this property should be localized, as specified in the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  When overridden in a derived class, gets a value indicating whether this property is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method should be called by your property descriptor implementation when the property value has changed.

  Raises the ValueChanged event that you implemented.

  The object that raises the event. An that contains the event data.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type'

  Typically, this property is implemented through reflection.

  When overridden in a derived class, gets the type of the property.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Enables other objects to be notified when this property changes.

  The component to remove the handler for. The delegate to remove as a listener.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Typically, this method is implemented through reflection.

  This method determines the value to reset the property to in the following order of precedence:

  There is a shadowed property for this property.

  There is a for this property.

  There is a "ResetMyProperty" method that you have implemented, where "MyProperty" is the name of the property you pass to it.

  This method creates a automatically in the following order:

  The method calls the method to create a new to represent the changes.

  The method calls the method to indicate that the transaction has begun and the changes are about to occur.

  The method resets the property to the value determined by this method's checking order.

  The method calls the method to indicate that the changes have occurred.

  The method calls to indicate that the transaction is completed.

  The purpose of the transaction is to support Undo and Redo functionality.

  When overridden in a derived class, resets the value for this property of the component to the default value.

  The component with the property value that is to be reset to the default value.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerSerializationVisibility To be added: an object of type 'DesignerSerializationVisibility' To be added

  Gets a value indicating whether this property should be serialized, as specified in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Typically, this method is implemented through reflection.

  This method creates a automatically in the following order:

  The method calls the method to create a new to represent the changes.

  The method calls the method to indicate that the transaction has begun and the changes are about to occur.

  The method resets the property to the value determined by this method's checking order.

  The method calls the method to indicate that the changes have occurred.

  The method calls to indicate that the transaction is complete.

  The purpose of the transaction is to support Undo and Redo functionality.

  When overridden in a derived class, sets the value of the component to a different value.

  The component with the property value that is to be set. The new value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Typically, this method is implemented through reflection.

  When overridden in a derived class, determines a value indicating whether the value of this property needs to be persisted.

  true if the property should be persisted; otherwise, false.

  The component with the property to be examined for persistence.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The property indicates whether value change notifications for this property may originate from outside the property descriptor, such as from the component itself, or whether notifications will only originate from direct calls made to the method. For example, the component may implement the interface, or may have an explicit Changed event for this property.

  Gets a value indicating whether value change notifications for this property may originate from outside the property descriptor.